'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getTabIndex;

var _getAttributeValue = require('./getAttributeValue');

var _getAttributeValue2 = _interopRequireDefault(_getAttributeValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns the tabIndex value.
 */
function getTabIndex(tabIndex) {
  // First test if we can extract a literal value
  // to see if it's a valid tabIndex. If not, then just see if
  // one exists as an expression.
  var literalTabIndex = (0, _getAttributeValue.getLiteralAttributeValue)(tabIndex);
  if (literalTabIndex !== undefined || literalTabIndex !== null) {
    return isNaN(Number(literalTabIndex)) ? undefined : literalTabIndex;
  }

  return (0, _getAttributeValue2.default)(tabIndex);
}